
Redmine - Feature #37623

Add Parent task filter and column to Spent time

2022-08-30 17:26 - Micael Broun

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 5.1.0   

Resolution: Fixed   

Description

Please, add column "Parent Task" to report "Spent Time".

Devs track time to Tasks, Tasks is steps / part of decomposition to Stories. To understand, what time track for what story, i need to

open all tracks and can's see it in report

 2022-08-30_182231_1555x907_vY5KsTtKOQ.png 

Related issues:

Related to Redmine - Feature #17946: time entries report should be able to sh... Closed

Associated revisions

Revision 22177 - 2023-04-11 11:11 - Go MAEDA

Add Parent task filter and column to Spent time (#37623).

Patch by Mizuki ISHIKAWA.

History

#1 - 2022-08-30 17:27 - Micael Broun

 2022-08-30_182651_1555x907_9OwHj9lts3.png 

#2 - 2022-09-01 15:59 - Go MAEDA

- Related to Feature #17946: time entries report should be able to show parent task added

#3 - 2022-09-02 06:03 - Mizuki ISHIKAWA

- File feature-37623.patch added

I have attached a patch.

It supports to columns and filters.

#4 - 2022-09-27 12:18 - Micael Broun

Mizuki ISHIKAWA wrote:

I have attached a patch.

It supports to columns and filters.

 Thank you, it's worked!

#5 - 2022-10-13 06:16 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2022-11-07 09:56 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.
#7 - 2023-04-08 09:02 - Go MAEDA

- File clipboard-202304081540-6ate1.png added

- File clipboard-202304081542-xcphc.png added

- File clipboard-202304081559-6d3ie.png added

- File 37623-v2.patch added

I made the following changes to the original patch to improve consistency with the issues list:

1. Changed the format of the value of the Parent task column from "#{issue.parent.tracker} ##{issue.parent.id}: #{issue.parent.subject}" from

"#{issue.parent.tracker} ##{issue.parent.id}". This is the same format as the value in the issues list.

 clipboard-202304081540-6ate1.png 

2. Changed the order of the "Parent task" in the "Available columns". It is now placed after "Tracker" as in the issues list.

 clipboard-202304081542-xcphc.png 

3. Put the "Issue's parent task" filter in the "Issue" group in the drop-down list. Before the change, it was not in any group.

 clipboard-202304081559-6d3ie.png 

#8 - 2023-04-08 09:14 - Go MAEDA

- File deleted (37623-v2.patch)

#9 - 2023-04-08 09:14 - Go MAEDA

- File 37623-v2.patch added

#10 - 2023-04-11 11:12 - Go MAEDA

- Subject changed from Add column Parent Task to Spent time report to Add Parent task filter and column to Spent time

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22177. Thank you.

Files

feature-37623.patch 6.34 KB 2022-09-02 Mizuki ISHIKAWA

clipboard-202304081540-6ate1.png 95.1 KB 2023-04-08 Go MAEDA

clipboard-202304081542-xcphc.png 58.9 KB 2023-04-08 Go MAEDA

clipboard-202304081559-6d3ie.png 119 KB 2023-04-08 Go MAEDA

37623-v2.patch 8.76 KB 2023-04-08 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/22177
http://www.tcpdf.org

